:root {
  /* Font */
  --main-font: 'Roboto', sans-serif;
  --secondary-font: 'Raleway', sans-serif;

  /* Text colors */
  --dark-text-cl: #2e2f42;
  --body-text-cl: #434455;
  --subtitle-text-cl: #8e8f99;
  --primary-brand-txt-cl: #4d5ae5;
  --white-txt-cl: #ffffff;

  /* Background colors */

  --pressed-state-bg-cl: #404bbf;
  --success-bg-cl: #31d0aa;
  --accent-bg-cl: #e7e9fc;
  --light-bg-cl: #f4f4fd;
  --hero-bg-cl: #2e2f42;
  --modal-overlay-bg-cl: rgba(46, 47, 66, 0.7);
  --footer-icons-bg-cl: rgba(255, 255, 255, 0.1);
  --modal-bg-cl: #fcfcfc;

  /* Others */
  --indent: 24px;
  --items: 3;
  --transition-duration: 250ms;
  --timing-function: cubic-bezier(0.4, 0, 0.2, 1);

  /* Breakpoints */
  --phone-screen: 480px;
  --tablet-screen: 768px;
  --desktop-screen: 1200px;
}

/* Base styles */
body {
  background-color: var(--white-txt-cl);
  color: var(--body-text-cl);
  font-size: 16px;
  font-family: var(--main-font);
  letter-spacing: 0.02em;
}
/* 320px <= phone screen <= infinity */
.container {
  min-width: 320px;
  margin-right: auto;
  margin-left: auto;
  padding-right: 16px;
  padding-left: 16px;

  /* outline: 2px solid violet;
  outline-offset: -2px; */
}
@media screen and (min-width: 480px) {
  .container {
    max-width: 428px;
  }
}
/* 768px <= tablet screen <= infinity */
@media screen and (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}
/* 1200px <= desktop screen <= infinity */
@media screen and (min-width: 1200px) {
  .container {
    max-width: 1158px;
    padding-right: 15px;
    padding-left: 15px;
  }
}
.section {
  padding-top: 96px;
  padding-bottom: 96px;
}
@media screen and (min-width: 1200px) {
  .section {
    padding-top: 120px;
    padding-bottom: 120px;
  }
}

.logo {
  color: var(--primary-brand-txt-cl);
  font-weight: 800;
  font-size: 18px;
  font-family: var(--secondary-font);
  letter-spacing: 0.03em;
  text-transform: uppercase;
}
.title {
  color: var(--dark-text-cl);
  text-transform: capitalize;
}
.btn {
  border: none;
  border-radius: 4px;
  font-weight: 500;
  line-height: calc(24 / 16);
  letter-spacing: 0.04em;
}
.current {
  color: var(--pressed-state-bg-cl);
}

/* card-set */
.card-set {
  display: flex;
  flex-wrap: wrap;

  gap: var(--indent);
}
.card-set-item {
  flex-basis: calc(
    (100% - (var(--indent) * (var(--items) - 1))) / var(--items)
  );
}

/* reset start  */
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
a {
  color: currentColor;
  text-decoration: none;
}
button {
  cursor: pointer;
}
/* responsive images */
img {
  display: block;
  max-width: 100%;
  height: auto;

  object-fit: cover;
  object-position: center;
}
.visually-hidden {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  border: 0;

  white-space: nowrap;
  clip-path: inset(100%);
}
/* reset end  */
.page {
  overflow: hidden;
}
/* Header section */
.header {
  border-bottom: 1px solid var(--accent-bg-cl);
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
}
.header-container {
  display: flex;
}
.header-nav {
  margin-right: auto;
}
.header-list {
  display: none;
  gap: 40px;
}
@media screen and (min-width: 768px) {
  .header-list {
    display: flex;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .header-list.contact {
    flex-direction: column;
    padding-top: 24px;
    row-gap: 0;
  }
  .contact .header-contact {
    padding: 0;
  }
  .header-contact {
    font-size: 12px;
  }
}
.header-logo {
  display: block;
  margin-right: 76px;
  padding-top: 24px;
  padding-bottom: 24px;

  line-height: calc(21 / 18);
}
@media screen and (min-width: 1200px) {
  .header-logo {
    line-height: calc(24 / 18);
  }
}
.span-header-logo {
  color: var(--dark-text-cl);
}
.header-link {
  position: relative;
  display: block;
  padding-top: 24px;
  padding-bottom: 24px;
  font-weight: 500;

  line-height: calc(24 / 16);

  transition: color var(--transition-duration) var(--timing-function);
}
.header-link:hover,
.header-link:focus {
  color: var(--pressed-state-bg-cl);
}
@media screen and (min-width: 480px) and (max-width: 768px) {
  .header-list.contact {
    row-gap: 4px;
  }
}

/* current underline */
.header-link.current::after {
  position: absolute;
  display: block;
  content: '';
  width: 100%;
  height: 4px;
  left: 0;
  bottom: -1px;

  background-color: var(--pressed-state-bg-cl);
  border-radius: 2px;
}
.header-contact {
  display: block;
  padding-top: 24px;
  padding-bottom: 24px;

  line-height: calc(24 / 16);

  transition: color var(--transition-duration) var(--timing-function);
}
.header-contact:hover,
.header-contact:focus {
  color: var(--pressed-state-bg-cl);
}

/* Hero section */
.hero {
  margin-right: auto;
  margin-left: auto;
  padding-top: 112px;
  padding-bottom: 112px;

  background-color: var(--hero-bg-cl);

  background-image: linear-gradient(
      var(--modal-overlay-bg-cl),
      var(--modal-overlay-bg-cl)
    ),
    url(../images/hero/people-office_mob@1x.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  text-align: center;
}
@media (min-device-pixel-ration: 2),
  (min-resolution: 192dpi),
  (min-resolution: 2dppx) {
  .hero {
    background-image: linear-gradient(
        var(--modal-overlay-bg-cl),
        var(--modal-overlay-bg-cl)
      ),
      url(../images/hero/people-office_mob@2x.jpg);
  }
}

@media screen and (min-width: 480px) {
  .hero {
    background-image: linear-gradient(
        var(--modal-overlay-bg-cl),
        var(--modal-overlay-bg-cl)
      ),
      url(../images/hero/people-office_tab@1x.jpg);
  }
  @media (min-device-pixel-ration: 2),
    (min-resolution: 192dpi),
    (min-resolution: 2dppx) {
    .hero {
      background-image: linear-gradient(
          var(--modal-overlay-bg-cl),
          var(--modal-overlay-bg-cl)
        ),
        url(../images/hero/people-office_tab@2x.jpg);
    }
  }
}
@media screen and (min-width: 768px) {
  .hero {
    padding-bottom: 108px;
    background-image: linear-gradient(
        var(--modal-overlay-bg-cl),
        var(--modal-overlay-bg-cl)
      ),
      url(../images/hero/people-office_desk@1x.jpg);
  }
  @media (min-device-pixel-ration: 2),
    (min-resolution: 192dpi),
    (min-resolution: 2dppx) {
    .hero {
      background-image: linear-gradient(
          var(--modal-overlay-bg-cl),
          var(--modal-overlay-bg-cl)
        ),
        url(../images/hero/people-office_desk@2x.jpg);
    }
  }
}
@media screen and (min-width: 1200px) {
  .hero {
    max-width: 1440px;
    padding-top: 188px;
    padding-bottom: 188px;
  }
}
.hero-main-title {
  max-width: 318px;
  margin-bottom: 72px;
  margin-right: auto;
  margin-left: auto;
  font-size: 36px;
  line-height: calc(40 / 36);
  color: var(--white-txt-cl);
}
@media screen and (min-width: 768px) {
  .hero-main-title {
    max-width: 494px;
    margin-bottom: 40px;
    font-size: 56px;
    line-height: calc(60 / 56);
  }
}
@media screen and (min-width: 1200px) {
  .hero-main-title {
    margin-bottom: 48px;
  }
}

.hero-btn {
  padding: 16px 32px;
  background-color: var(--primary-brand-txt-cl);

  color: var(--white-txt-cl);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);

  transition: background-color var(--transition-duration) var(--timing-function);
}
.hero-btn:hover,
.hero.btn:focus {
  background-color: var(--pressed-state-bg-cl);
}

/* About section */
.about-list {
  --items: 1;
  row-gap: 72px;
}
@media screen and (min-width: 768px) {
  .about-list {
    --items: 2;
  }
}
@media screen and (min-width: 1200px) {
  .about-list {
    --items: 4;
  }
}

.about-icon-container {
  display: none;
}
@media screen and (min-width: 1200px) {
  .about-icon-container {
    display: block;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 264px;
    height: 112px;
    margin-bottom: 8px;
    border-radius: 4px;
    background-color: var(--light-bg-cl);
  }
}
.about-item-title {
  margin-bottom: 8px;
  text-align: center;
  font-size: 36px;
  line-height: calc(40 / 36);
}
@media screen and (min-width: 768px) {
  .about-item-title {
    text-align: left;
  }
}
@media screen and (min-width: 1200px) {
  .about-item-title {
    font-weight: 500;
    font-size: 20px;
    line-height: calc(24 / 20);
  }
}
.about-text {
  line-height: calc(24 / 16);
}
@media screen and (max-width: 1199px) {
  .about-text {
    font-weight: 500;
  }
}
/* Our service section  */
.service {
  display: none;
}
@media screen and (min-width: 1200px) {
  .service {
    display: block;
    padding-top: 0;
  }
}
.service-title {
  margin-bottom: 72px;
  font-size: 36px;
  line-height: calc(40 / 36);
  text-align: center;
}
.service-item {
  border: 1px solid var(--accent-bg-cl);
}

/* Our team section */
.team {
  background-color: var(--accent-bg-cl);
}
.team-title {
  margin-bottom: 72px;
  font-size: 36px;
  line-height: calc(40 / 36);

  text-align: center;
}

.team-list {
  display: flex;
  justify-content: center;
  row-gap: 72px;
}

@media screen and (min-width: 768px) {
  .team-list {
    row-gap: 64px;
  }
}

.team-item {
  max-width: 264px;
  border-radius: 0px 0px 4px 4px;
  background-color: var(--white-txt-cl);
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
  text-align: center;
}
.team-item-content {
  padding: 32px 16px;
}
.team-item-title {
  margin-bottom: 8px;

  font-weight: 500;
  font-size: 20px;
  line-height: calc(24 / 20);
}
.team-text {
  margin-bottom: 8px;
  line-height: calc(24 / 16);
}
.team-icon-list {
  display: flex;
  gap: var(--indent);
}
.team-icon-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--primary-brand-txt-cl);
  color: var(--light-bg-cl);

  transition: background-color var(--transition-duration) var(--timing-function);
}
.team-icon-link:hover,
.team-icon-link:focus {
  background-color: var(--pressed-state-bg-cl);
}
.team-icon {
  fill: currentColor;
}

/* Our customers section */
.customers-title {
  margin-bottom: 72px;
  font-size: 36px;
  line-height: calc(40 / 36);

  text-align: center;
}
.customers-list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  row-gap: 72px;
  column-gap: 16px;
}
@media screen and (min-width: 768px) {
  .customers-list {
    column-gap: var(--indent);
  }
}
@media screen and (min-width: 1200px) {
  .customers-list {
    row-gap: var(--indent);
  }
}
.customers-link {
  display: block;
  width: 190px;
  height: 88px;
  padding: 16px 40px;
  border: 1px solid var(--subtitle-text-cl);
  border-radius: 4px;
  color: var(--subtitle-text-cl);

  transition: border var(--transition-duration) var(--timing-function),
    color var(--transition-duration) var(--timing-function);
}
@media screen and (min-width: 768px) {
  .customers-link {
    width: 168px;
    padding-left: 32px;
    padding-right: 32px;
  }
}
.customers-link:hover,
.customers-link:focus {
  border: 1px solid var(--pressed-state-bg-cl);
  color: var(--pressed-state-bg-cl);
}
.customers-icon {
  fill: currentColor;
}

/* Footer section */
.footer {
  padding-top: 96px;
  padding-bottom: 96px;
  background-color: var(--dark-text-cl);
}
@media screen and (min-width: 768px) {
  .footer {
    padding-top: 100px;
    padding-bottom: 100px;
  }
}
.footer-main-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media screen and (min-width: 768px) {
  .footer-main-container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    flex-wrap: wrap;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .footer-main-container {
    column-gap: 24px;
    width: 552px;
    /* flex-wrap: wrap; */
  }
}

.footer-logo {
  display: block;
  margin-bottom: 16px;

  line-height: calc(21 / 18);
}
@media screen and (max-width: 767px) {
  .footer-logo {
    text-align: center;
  }
}
.span-footer-logo {
  color: var(--light-bg-cl);
}
.footer-text {
  max-width: 264px;
  color: var(--accent-bg-cl);
  line-height: calc(24 / 16);
}

@media screen and (max-width: 1199px) {
  .footer-container {
    margin-bottom: 72px;
  }
}
@media screen and (min-width: 1200px) {
  .footer-container {
    margin-right: 120px;
  }
}
@media screen and (max-width: 767px) {
  .footer-link-title,
  .footer-subscribe-title {
    text-align: center;
  }
  .footer-link-container {
    margin-bottom: 72px;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .footer-link-container {
    margin-bottom: 102px;
  }
}
@media screen and (min-width: 1200px) {
  .footer-link-container {
    margin-right: 80px;
  }
}
.footer-link-title,
.footer-subscribe-title {
  margin-bottom: 16px;
  color: var(--white-txt-cl);
  font-weight: 500;
  font-size: 16px;
  line-height: calc(24 / 16);
}

.footer-icon-list {
  display: flex;
  gap: 16px;
}
.footer-icon-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--footer-icons-bg-cl);
  color: var(--light-bg-cl);

  transition: background-color var(--transition-duration) var(--timing-function);
}
.footer-icon-link:hover,
.footer-icon-link:focus {
  background-color: var(--success-bg-cl);
}
.footer-icon {
  fill: currentColor;
}
@media screen and (max-width: 767px) {
  .footer-subscribe {
    width: 100%;
  }
}
.footer-subscribe-wrapper {
  display: flex;
  flex-direction: column;
  gap: 16px;
  width: 100%;
}
@media screen and (min-width: 768px) {
  .footer-subscribe-wrapper {
    flex-direction: row;
    gap: 24px;
  }
}
.footer-email-input {
  font-size: 12px;
  line-height: calc(24 / 12);
  letter-spacing: 0.04em;
  padding: 0;
  padding-left: 16px;

  color: rgba(255, 255, 255, 0.6);
  width: 100%;
  height: 40px;
  border: 1px solid rgba(255, 255, 255, 0.3);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.15));
  border-radius: 4px;
  background-color: var(--dark-text-cl);
}
@media screen and (min-width: 768px) {
  .footer-email-input {
    width: 264px;
  }
}
.footer-subscribe-button {
  padding: 8px 24px;
  display: flex;
  align-items: center;
  width: 165px;
  height: 40px;
  background-color: var(--primary-brand-txt-cl);
  color: var(--white-txt-cl);

  transition: background-color var(--transition-duration) var(--timing-function);
}
.footer-subscribe-button:hover,
.footer-subscribe-button:focus {
  background-color: var(--pressed-state-bg-cl);
}
@media screen and (max-width: 767px) {
  .footer-subscribe-button {
    margin: 0 auto;
  }
}
.footer-letter-icon {
  margin-left: 16px;
  fill: currentColor;
}

/* Backdrop */
.backdrop {
  position: fixed;
  overflow-y: scroll;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: linear-gradient(
    var(--modal-overlay-bg-cl),
    var(--modal-overlay-bg-cl)
  );
  opacity: 1;
  transition: opacity var(--transition-duration) var(--timing-function),
    visibility var(--transition-duration) var(--timing-function);
}
.backdrop.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.backdrop.is-hidden .modal {
  transform: translate(-50%, -50%) scale(0.9);
}
.modal {
  padding: 72px 16px 24px 16px;
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 392px;
  background-color: var(--modal-bg-cl);
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14), 0px 1px 3px rgba(0, 0, 0, 0.12),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  border-radius: 4px;

  transform: translate(-50%, -50%) scale(1);
  transition: transform var(--transition-duration) var(--timing-function);
}
@media screen and (min-width: 768px) {
  .modal {
    padding: 72px 24px 24px 24px;
    min-width: 408px;
  }
}
.modal-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 24px;
  right: 24px;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background-color: var(--accent-bg-cl);
  transition: color var(--transition-duration) var(--timing-function),
    background-color var(--transition-duration) var(--timing-function);
}
.modal-btn:hover,
.modal-btn:focus {
  color: var(--white-txt-cl);
  background-color: var(--pressed-state-bg-cl);
}
.modal-icon {
  fill: currentColor;
}

/* form */
.contact-form-title {
  display: block;
  margin-bottom: 16px;
  font-weight: 500;
  line-height: calc(24 / 16);
  text-align: center;
  color: var(--dark-text-cl);
}
.contact-form {
  width: 360px;
  margin: 0 auto;
}
.contact-form-group {
  position: relative;
  margin-bottom: 8px;
}
.contact-form-label {
  display: block;
  font-size: 12px;
  margin-bottom: 4px;
  line-height: calc(16 / 12);

  letter-spacing: 0.04em;

  color: var(--subtitle-text-cl);
}
.contact-form-input {
  display: block;
  width: 100%;
  height: 40px;
  padding: 8px 34px;

  font-size: 18px;
  color: #000000;
  border: 1px solid rgba(33, 33, 33, 0.2);
  border-radius: 4px;
  outline: transparent;
  transition: border-color var(--transition-duration) var(--timing-function);
}
.contact-form-input:focus,
.contact-form-comment:focus {
  border-color: var(--primary-brand-txt-cl);
}
.contact-form-icon {
  position: absolute;
  left: 16px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  fill: currentColor;
  transition: fill var(--transition-duration) var(--timing-function);
}
.contact-form-input:focus + .contact-form-icon {
  fill: var(--primary-brand-txt-cl);
}
.contact-form-comment {
  display: block;
  width: 100%;
  height: 120px;
  padding: 8px 16px;
  margin-bottom: 16px;
  font-size: 12px;
  line-height: calc(16 / 12);
  letter-spacing: 0.04em;

  color: rgba(117, 117, 117, 0.5);

  border: 1px solid rgba(33, 33, 33, 0.2);
  border-radius: 4px;
  resize: none;
  outline: transparent;
  transition: border-color var(--transition-duration) var(--timing-function);
}
.contact-form-comment::placeholder {
  color: rgba(117, 117, 117, 0.5);
}

.contact-form-agreement {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  margin-bottom: 24px;
}
.contact-form-desc {
  font-size: 12px;
  letter-spacing: 0.04em;
  user-select: none;

  color: #757575;
}
.checkbox-wrapper {
  position: relative;
  color: var(--modal-bg-cl);
}
.contact-form-checkbox {
  appearance: none;
  width: 16px;
  height: 16px;
  border: 1.25px solid var(--dark-text-cl);
  border-radius: 2px;

  transition: background-color var(--transition-duration) var(--timing-function),
    color var(--transition-duration) var(--timing-function),
    border var(--transition-duration) var(--timing-function);
}
.contact-form-checkbox:checked {
  background-color: var(--pressed-state-bg-cl);
  border-color: var(--pressed-state-bg-cl);
}
.checkbox-icon {
  position: absolute;
  top: 0;
  left: 0;

  fill: currentColor;
}
.contact-form-link {
  color: var(--primary-brand-txt-cl);
  text-decoration: underline;
}
.contact-form-button {
  display: block;
  margin-right: auto;
  margin-left: auto;
  width: 169px;
  height: 56px;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
  padding: 16px 32px;
  color: var(--white-txt-cl);
  background-color: var(--primary-brand-txt-cl);
  transition: background-color var(--transition-duration) var(--timing-function);
}
.contact-form-button:hover,
.contact-form-button:focus {
  background-color: var(--pressed-state-bg-cl);
}

/* Mobile menu */

.menu-hamburger-icon {
  stroke: var(--dark-text-cl);
}
.menu-toggle,
.menu-close-btn {
  display: flex;
  align-items: center;
  justify-content: center;

  margin-left: auto;
  margin: 0;
  padding: 0;
  background-color: transparent;
  cursor: pointer;
  border: none;
  outline: none;
}
@media screen and (min-width: 768px) {
  .menu-toggle {
    display: none;
  }
}
.menu-close-btn {
  position: absolute;
  top: 40px;
  right: 40px;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  background-color: var(--accent-bg-cl);
  border: 1px solid rgba(0, 0, 0, 0.1);
  background-color: var(--accent-bg-cl);
  transition: color var(--transition-duration) var(--timing-function),
    background-color var(--transition-duration) var(--timing-function);
}
.menu-close-btn:hover,
.menu-close-btn:focus {
  color: var(--white-txt-cl);
  background-color: var(--pressed-state-bg-cl);
}
.menu-container {
  display: flex;
  flex-direction: column;
  position: fixed;
  top: 0;
  left: 0;

  width: 100vw;
  height: 100vh;
  padding: 80px;
  background-color: var(--white-txt-cl);
  z-index: 999;

  transform: translateX(100%);
  transition: transform var(--transition-duration) var(--timing-function);
  overflow: auto;
}

.menu-container.is-open {
  transform: translateX(0);
}
@media screen and (min-width: 768px) {
  .menu-container {
    display: none;
  }
}

.mobile-menu {
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.mobile-nav {
  margin-bottom: 284px;
  font-weight: 700;
  font-size: 36px;
  line-height: calc(40 / 36);
}

.mobile-nav .link {
  display: block;
  color: var(--dark-text-cl);
  transition: color var(--transition-duration) var(--timing-function);
}
.mobile-nav .link:hover {
  color: var(--pressed-state-bg-cl);
}
.mobile-contacts {
  margin-bottom: 48px;
}
.mobile-tel {
  font-weight: 600;
  font-size: 36px;
  line-height: calc(40 / 36);

  text-transform: capitalize;
  color: var(--primary-brand-txt-cl);
}
@media screen and (max-width: 424px) {
  .mobile-tel {
    font-size: 26px;
  }
}
.mobile-email {
  font-weight: 500;
  font-size: 20px;
  line-height: calc(24 / 20);
  transition: color var(--transition-duration) var(--timing-function);
}
.mobile-email:hover,
.mobile-email:focus {
  color: var(--pressed-state-bg-cl);
}
.mobile-icon-list {
  display: flex;
  column-gap: 56px;
}
@media screen and (max-width: 424px) {
  .mobile-icon-list {
    gap: 46px;
  }
}

/* Portfolio */
/* Projects section  */
.projects {
  padding-top: 96px;
}
.filters-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 72px;
  column-gap: 24px;
}
.filters-btn {
  padding: 11px 23px;
  border: 1px solid var(--accent-bg-cl);
  background-color: var(--light-bg-cl);

  color: var(--primary-brand-txt-cl);

  transition: border-color var(--transition-duration) var(--timing-function),
    background-color var(--transition-duration) var(--timing-function),
    color var(--transition-duration) var(--timing-function),
    box-shadow var(--transition-duration) var(--timing-function);
}
.filters-btn:hover,
.filters-btn:focus {
  border-color: var(--pressed-state-bg-cl);
  background-color: var(--pressed-state-bg-cl);
  color: var(--white-txt-cl);
  box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 2px 1px rgba(0, 0, 0, 0.08),
    0px 2px 2px rgba(0, 0, 0, 0.12);
}
.projects-list {
  row-gap: 48px;
}

/* portfolio overlay */
.project-link {
  display: block;
  transition: box-shadow var(--transition-duration) var(--timing-function);
}
.project-link:hover .project-overlay,
.project-link:focus .project-overlay,
.project-link:hover,
.project-link:focus {
  transform: translateY(0);
  opacity: 1;
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}
.project-thumb {
  position: relative;
  overflow: hidden;
}
.project-overlay {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  padding: 40px 32px;
  width: 100%;
  height: 100%;
  opacity: 0;
  background-color: var(--primary-brand-txt-cl);

  transform: translateY(100%);
  transition: transform var(--transition-duration) var(--timing-function),
    opacity var(--transition-duration) var(--timing-function);
}
.project-overlay-text {
  line-height: calc(24 / 16);
  color: var(--light-bg-cl);
}
/* ----------------------- */

.project-card-content {
  padding-top: 32px;
  padding-bottom: 32px;
  padding-left: 16px;
  border: 1px solid var(--accent-bg-cl);
  border-top: none;
}
.projects-item-title {
  margin-bottom: 8px;

  font-weight: 500;
  font-size: 20px;
  line-height: calc(24 / 20);
}
.projects-text {
  line-height: calc(24 / 16);
}
